org.apache.flume.channel.jdbc.impl

## Class PersistableEvent.HeaderEntry

- java.lang.Object
- - org.apache.flume.channel.jdbc.impl.PersistableEvent.HeaderEntry

- Enclosing class:
    PersistableEvent

      protected static class PersistableEvent.HeaderEntry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistableEvent.HeaderEntry(String name, String value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getId()`
    `PersistableEvent.SpillableString` | `getName()`
    `String` | `getNameString()`
    `PersistableEvent.SpillableString` | `getValue()`
    `String` | `getValueString()`
    `protected void` | `setId(long headerId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistableEvent.HeaderEntry

          public PersistableEvent.HeaderEntry(String name,
                                      String value)

  - ### Method Detail

    - #### getNameString

          public String getNameString()

    - #### getName

          public PersistableEvent.SpillableString getName()

    - #### getValueString

          public String getValueString()

    - #### getValue

          public PersistableEvent.SpillableString getValue()

    - #### setId

          protected void setId(long headerId)

    - #### getId

          public long getId()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.